io.vertx.rxjava.core.http

## Class ServerWebSocketStream

- java.lang.Object
- - io.vertx.rxjava.core.http.ServerWebSocketStream

- All Implemented Interfaces:
    ReadStream<ServerWebSocket>, StreamBase

      public class ServerWebSocketStream
      extends Object
      implements ReadStream<ServerWebSocket>

  A `ReadStream` of `ServerWebSocket`, used for notifying web socket connections to a `HttpServer`.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerWebSocketStream(ServerWebSocketStream delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ServerWebSocketStream` | `endHandler(Handler<Void> endHandler)` Set an end handler.
    `ServerWebSocketStream` | `exceptionHandler(Handler<Throwable> handler)` Set an exception handler on the read stream.
    `Object` | `getDelegate()`
    `ServerWebSocketStream` | `handler(Handler<ServerWebSocket> handler)` Set a data handler.
    `static ServerWebSocketStream` | `newInstance(ServerWebSocketStream arg)`
    `ServerWebSocketStream` | `pause()` Pause the `ReadSupport`.
    `ServerWebSocketStream` | `resume()` Resume reading.
    `Observable<ServerWebSocket>` | `toObservable()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.rxjava.core.streams.ReadStream

      `newInstance`

    - ### Methods inherited from interface io.vertx.rxjava.core.streams.StreamBase

      `newInstance`

- - ### Constructor Detail

    - #### ServerWebSocketStream

          public ServerWebSocketStream(ServerWebSocketStream delegate)

  - ### Method Detail

    - #### getDelegate

          public Object getDelegate()

      Specified by:
        `getDelegate` in interface `ReadStream<ServerWebSocket>`
      Specified by:
        `getDelegate` in interface `StreamBase`

    - #### toObservable

          public Observable<ServerWebSocket> toObservable()

      Specified by:
        `toObservable` in interface `ReadStream<ServerWebSocket>`

    - #### exceptionHandler

          public ServerWebSocketStream exceptionHandler(Handler<Throwable> handler)

      Description copied from interface: `ReadStream`
      Set an exception handler on the read stream.
      Specified by:
        `exceptionHandler` in interface `ReadStream<ServerWebSocket>`
      Specified by:
        `exceptionHandler` in interface `StreamBase`
      Parameters:
        `handler` - the exception handler
      Returns:
        a reference to this, so the API can be used fluently

    - #### handler

          public ServerWebSocketStream handler(Handler<ServerWebSocket> handler)

      Description copied from interface: `ReadStream`
      Set a data handler. As data is read, the handler will be called with the data.
      Specified by:
        `handler` in interface `ReadStream<ServerWebSocket>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### pause

          public ServerWebSocketStream pause()

      Description copied from interface: `ReadStream`
      Pause the `ReadSupport`. While it's paused, no data will be sent to the `dataHandler`
      Specified by:
        `pause` in interface `ReadStream<ServerWebSocket>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### resume

          public ServerWebSocketStream resume()

      Description copied from interface: `ReadStream`
      Resume reading. If the `ReadSupport` has been paused, reading will recommence on it.
      Specified by:
        `resume` in interface `ReadStream<ServerWebSocket>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### endHandler

          public ServerWebSocketStream endHandler(Handler<Void> endHandler)

      Description copied from interface: `ReadStream`
      Set an end handler. Once the stream has ended, and there is no more data to be read, this handler will be called.
      Specified by:
        `endHandler` in interface `ReadStream<ServerWebSocket>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### newInstance

          public static ServerWebSocketStream newInstance(ServerWebSocketStream arg)

Copyright © 2016. All rights reserved.